// #autoload
// #name = Bluez KillSFXv2
// #version = 2.0
// #date = October 7, 2002
// #author = Bluez
// #description = Random kill sound effects.
// #include = support/player_support.cs
// #include = support/callback.cs

if(!isObject(KillSoundFX)) {
	new scriptobject (KillSoundFX) {
		class = KillSoundFX;
	    };
}

package KillSoundFX {

function REGULAR() {
         %val = getRandom(0, 31);
         
	   switch ( %val )	{
		case 0: %SoundFX = "nyuck";
		case 1: %SoundFX = "doh_ok";
		case 2: %SoundFX = "splat";
		case 3: %SoundFX = "name";
		case 4: %SoundFX = "boogeyman";
		case 5: %SoundFX = "zipphart";
        case 6: %SoundFX = "fx/misc/bounty_bonus";
		case 7: %SoundFX = "suckme";
		case 8: %SoundFX = "corkpop";
		case 9: %SoundFX = "burnhell";
		case 10: %SoundFX = "compost";
		case 11: %SoundFX = "fx/bonuses/nouns/cow";
        case 12: %SoundFX = "fx/bonuses/nouns/donkey";
		case 13: %SoundFX = "fx/bonuses/nouns/llama";
		case 14: %SoundFX = "fx/bonuses/nouns/special1";
		case 15: %SoundFX = "fx/bonuses/down_passback3_rocket";
		case 16: %SoundFX = "fx/bonuses/evillaugh";
		case 17: %SoundFX = "fx/misc/flair";
        case 18: %SoundFX = "fx/misc/MA2";
		case 19: %SoundFX = "fx/misc/whistle";
		case 20: %SoundFX = "fx/misc/crowd-clap";
        case 21: %SoundFX = "baam";
		case 22: %SoundFX = "daddy";
		case 23: %SoundFX = "hotbeef";
		case 24: %SoundFX = "fuckyourself";
		case 25: %SoundFX = "howdthatfeel";
		case 26: %SoundFX = "upyourcandyass";
        case 27: %SoundFX = "tag";
		case 28: %SoundFX = "suckmyballs";
		case 29: %SoundFX = "ohshit";
		case 30: %SoundFX = "kungfu";
		case 31: %SoundFX = "kissmyas";
        }

        %wav = %SoundFX @ ".wav";
        %killsound = alxCreateSource(AudioGui, %wav);
        alxPlay(%killsound);
}

function VEHICLE() {
         %val = getRandom(0, 9);
         
	   switch ( %val )	{
		case 0: %SoundFX = "fx/misc/crowd-clap";
        case 1: %SoundFX = "horngoby";
		case 2: %SoundFX = "beepbeep";
		case 3: %SoundFX = "car_crash";
		case 4: %SoundFX = "caroops";
        case 5: %SoundFX = "baam";
		case 6: %SoundFX = "hotbeef";
		case 7: %SoundFX = "howdthatfeel";
        case 8: %SoundFX = "tag";
		case 9: %SoundFX = "ohshit";
        }

        %wav = %SoundFX @ ".wav";
        %killsound = alxCreateSource(AudioGui, %wav);
        alxPlay(%killsound);
}

function HEADSHOT() {
         %val = getRandom(0, 15);
         
	   switch ( %val )	{
		case 0: %SoundFX = "zipphart";
        case 1: %SoundFX = "fx/misc/bounty_bonus";
		case 2: %SoundFX = "suckme";
		case 3: %SoundFX = "corkpop";
		case 4: %SoundFX = "fx/bonuses/nouns/cow";
        case 5: %SoundFX = "fx/bonuses/nouns/donkey";
		case 6: %SoundFX = "fx/bonuses/nouns/llama";
		case 7: %SoundFX = "fx/misc/flair";
		case 8: %SoundFX = "fx/misc/whistle";
        case 9: %SoundFX = "baam";
		case 10: %SoundFX = "hotbeef";
		case 11: %SoundFX = "fuckyourself";
		case 12: %SoundFX = "howdthatfeel";
		case 13: %SoundFX = "upyourcandyass";
        case 14: %SoundFX = "tag";
		case 15: %SoundFX = "suckmyballs";
        }

        %wav = %SoundFX @ ".wav";
        %killsound = alxCreateSource(AudioGui, %wav);
        alxPlay(%killsound);
}

function RegularKill(%msgType, %msgString, %victimname, %vgen, %vposs, %killername, %kgen, %kposs, %damageType) {
         %client = PlayerList.getMyName();
         $clientname = detag(%client);
         %killerName = detag(%killerName);
         
         if(%killerName !$= $clientname) return;
         REGULAR();
}

function HeadshotFX(%msgType, %msgString, %victimname, %vgen, %vposs, %killername, %kgen, %kposs, %damageType) {
         %client = PlayerList.getMyName();
         $clientname = detag(%client);
         %killerName = detag(%killerName);

         if(%killerName !$= $clientname) return;
         HEADSHOT();
}

function VehicleKill(%msgType, %msgString, %victimname, %vgen, %vposs, %killername, %kgen, %kposs, %damageType) {
         %client = PlayerList.getMyName();
         $clientname = detag(%client);
         %killerName = detag(%killerName);

         if(%killerName !$= $clientname) return;
         VEHICLE();
}

function KillSFX_Callbacks() {
		addMessageCallBack('MsgLegitKill', RegularKill);
		addMessageCallBack('MsgHeadshotKill', RegularKill);
		addMessageCallBack('msgExplosionKill', RegularKill);
        addMessageCallBack('msgTurretKill', RegularKill);
        addMessageCallBack('msgCTurretKill', RegularKill);
        addMessageCallBack('msgVehicleKill', VehicleKill);
        addMessageCallBack('msgHeadshot', HeadshotFX);
}
};
activatepackage(KillSoundFX);
KillSFX_Callbacks();
